/*
    This file (and dvd.c) also includes DOXYGEN (www.doxygen.com) compatible documentation!

    --------------------------------------------------------------------------------------
    Version    Date              Author                        Log
    --------------------------------------------------------------------------------------
    0.0        21st June 2003    Peter (www.console-dev.de)    Inital Release

*/
/*+----------------------------------------------------------------------------------------------+*/
#ifndef DVD_H
#define DVD_H
/*+----------------------------------------------------------------------------------------------+*/
#include "types.h"   ///< Contains typedef's for u8, u16, u32 ...
/*+----------------------------------------------------------------------------------------------+*/
#define MEM_DVD_BASE                    (0xCC006000)   ///< Memory address of the DVD Interface
/*+----------------------------------------------------------------------------------------------+*/
#define R_DVD_STATUS_1                  *(vu32*)(MEM_DVD_BASE)       ///< DVD status1 register
#define R_DVD_STATUS_2                  *(vu32*)(MEM_DVD_BASE+0x04)  ///< DVD status2 register
/*+----------------------------------------------------------------------------------------------+*/
#define DVD_STATE_COVER_OPEN            (0x05)  ///< It's internally used by DVD_IsCoverOpen()
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   extern "C" {
#endif /* __cplusplus */
/*+----------------------------------------------------------------------------------------------+*/
u8 DVD_IsCoverOpen(void);
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   }
#endif /* __cplusplus */
#endif /* DVD_H */

/* END OF FILE */
