/*
    This file bases on the "GAMECUBE LOW LEVEL INFO" document released
    by Titanik of Crazy Nation. Without these informations this file would not exist.
    Great work Titanik!

    This file (and memcard.c) includes DOXYGEN (www.doxygen.com) compatible documentation!

    --------------------------------------------------------------------------------------
    Version    Date              Author                        Log
    --------------------------------------------------------------------------------------
    0.0        22nd June 2003    Peter (www.console-dev.de)    Inital Release

*/
/*+----------------------------------------------------------------------------------------------+*/
#ifndef MEMCARD_H
#define MEMCARD_H
/*+----------------------------------------------------------------------------------------------+*/
#include "types.h"
/*+----------------------------------------------------------------------------------------------+*/
#define MEM_MEMCARD_BASE      (0xCC006800)      ///< Memory address of External Interface (Memory Cards)
/*+----------------------------------------------------------------------------------------------+*/
/*+----------------------------------------------------------------------------------------------+*/
/*+----------------------------------------------------------------------------------------------+*/
#define MEMCARD_SLOT_A        (0)      ///< Helper define. Can be used with MEMCARD_IsCardAvailable()
#define MEMCARD_SLOT_B        (1)      ///< Helper define. Can be used with MEMCARD_IsCardAvailable()
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   extern "C" {
#endif /* __cplusplus */
/*+----------------------------------------------------------------------------------------------+*/
u8 MEMCARD_IsCardAvailable(u32 SlotNo);
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   }
#endif /* __cplusplus */

#endif /* MEMCARD_H */

/* END OF FILE */
