/*
    This file bases on the "GAMECUBE LOW LEVEL INFO" document and sourceode released
    by Titanik of Crazy Nation. Without these informations this file would not exist.
    Great work Titanik!

    This file (and video.c) includes DOXYGEN (www.doxygen.com) compatible documentation!

    --------------------------------------------------------------------------------------
    Version    Date              Author                        Log
    --------------------------------------------------------------------------------------
    0.0        22nd June 2003    Peter (www.console-dev.de)    Inital Release

*/
#ifndef VIDEO_H
#define VIDEO_H
/*+----------------------------------------------------------------------------------------------+*/
#include "types.h"
/*+----------------------------------------------------------------------------------------------+*/
#define MEM_VIDEO_BASE               (0xCC002000)           ///< Memory address of Video Interface
#define MEM_VIDEO_BASE_PTR           (u32*)MEM_VIDEO_BASE   ///< Pointer to Video Interface
/*+----------------------------------------------------------------------------------------------+*/
#define R_VIDEO_FRAMEBUFFER_1        *(vu32*)(MEM_VIDEO_BASE+0x1C)   ///< Framebuffer1 register location. Includes typecasting for direct c writes.
#define R_VIDEO_FRAMEBUFFER_2        *(vu32*)(MEM_VIDEO_BASE+0x24)   ///< Framebuffer2 register location. Includes typecasting for direct c writes.
#define R_VIDEO_HALFLINE_1           *(vu16*)(MEM_VIDEO_BASE+0x2C)   ///< HalfLine1 register location. Includes typecasting for direct c writes.
#define R_VIDEO_HALFLINE_2           *(vu16*)(MEM_VIDEO_BASE+0x2E)   ///< HalfLine2 register location. Includes typecasting for direct c writes.
#define R_VIDEO_STATUS               *(vu16*)(MEM_VIDEO_BASE+0x6C)   ///< VideStatus register location. Includes typecasting for direct c writes.
/*+----------------------------------------------------------------------------------------------+*/
#define VIDEO_640X480_NTSC_YUV16     (0)  ///< Helper define. Can be used with VIDEO_Init()
#define VIDEO_640X480_PAL50_YUV16    (1)  ///< Helper define. Can be used with VIDEO_Init()
#define VIDEO_640X480_PAL60_YUV16    (2)  ///< Helper define. Can be used with VIDEO_Init()
/*+----------------------------------------------------------------------------------------------+*/
#define VIDEO_FRAMEBUFFER_1          (1)  ///< Helper define. Can be used with VIDEO_SetFrameBuffer()
#define VIDEO_FRAMEBUFFER_2          (2)  ///< Helper define. Can be used with VIDEO_SetFrameBuffer()
#define VIDEO_FRAMEBUFFER_BOTH       (0)  ///< Helper define. Can be used with VIDEO_SetFrameBuffer()
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   extern "C" {
#endif /* __cplusplus */
/*+----------------------------------------------------------------------------------------------+*/
void VIDEO_Init            (u32 VideoMode);
void VIDEO_SetFrameBuffer  (u32 Which, u32 FrameBufferAddr);
void VIDEO_WaitVSync       (void);
/*+----------------------------------------------------------------------------------------------+*/
#ifdef __cplusplus
   }
#endif /* __cplusplus */
/*+----------------------------------------------------------------------------------------------+*/
#endif /* VIDEO_H */


/* END OF FILE */
